Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/kyc/dl
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParameterTypeDescriptionRequired
license_number *stringA driver’s license numberrequired

Sample response

Response
{
    "entity": {
        "uuid": "1625583696",
        "licenseNo": "FKJ494A2133",
        "firstName": "JOHN",
        "lastName": "DOE",
        "middleName": "",
        "gender": "Male",
        "issuedDate": "2019-01-25",
        "expiryDate": "2024-08-17",
        "stateOfIssue": "LAGOS",
        "birthDate": "28-09-1998",
        "photo": "BASE 64 IMAGE"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the driver’s licence verification response data
entity.uuidstringUnique identifier for the licence record
entity.licenseNostringDriver’s licence number
entity.firstNamestringFirst name of the licence holder
entity.lastNamestringLast name of the licence holder
entity.middleNamestringMiddle name of the licence holder
entity.genderstringGender of the licence holder
entity.issuedDatestringDate the licence was issued
entity.expiryDatestringExpiry date of the licence
entity.stateOfIssuestringState where the licence was issued
entity.birthDatestringDate of birth of the licence holder
entity.photostringBase64-encoded photo of the licence holder

Test Credentials for Sandbox

Kindly use this Test Driver’s license number in sandbox Environment DL = FKJ494A2133, FKJ49409AB13